Bug 1488467 - [abrt] plasma-workspace: QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::data(): ksplashqml killed by signal 11
Summary: [abrt] plasma-workspace: QScopedPointer<QObjectData, QScopedPointerDeleter<QO...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fa3dff8786ce9fdbd77fb2e50d9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 12:56 UTC by Mike FABIAN
Modified: 2018-05-29 11:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:24:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.83 KB, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: cgroup (289 bytes, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: core_backtrace (12.86 KB, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: cpuinfo (1.28 KB, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: dso_list (16.80 KB, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: environ (1.55 KB, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: maps (70.67 KB, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: open_fds (719 bytes, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-09-05 12:56 UTC, Mike FABIAN
no flags Details
File: var_log_messages (332 bytes, text/plain)
2017-09-05 12:57 UTC, Mike FABIAN
no flags Details
File: exploitable (131 bytes, application/octet-stream)
2017-09-05 12:57 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2017-09-05 12:56:33 UTC
Version-Release number of selected component:
plasma-workspace-5.10.5-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        ksplashqml Breeze --pid
crash_function: QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::data
executable:     /usr/bin/ksplashqml
journald_cursor: s=445dd03b94fd49df8bcf9141927ecde8;i=4bb3;b=ced579613d3946eba3e4ad42f0f99b26;m=2e4294d;t=5586e67e8e615;x=166ef096deba2ab1
kernel:         4.12.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::data at ../../src/corelib/tools/qscopedpointer.h:141
 #1 qGetPtrHelper<QScopedPointer<QObjectData> > at ../../src/corelib/global/qglobal.h:980
 #2 QObject::d_func at kernel/qobject.h:116
 #3 QObject::setProperty at kernel/qobject.cpp:3848
 #4 SplashWindow::setStage at /usr/src/debug/plasma-workspace-5.10.5/ksplash/ksplashqml/splashwindow.cpp:80
 #5 SplashApp::adoptScreen at /usr/src/debug/plasma-workspace-5.10.5/ksplash/ksplashqml/splashapp.cpp:139
 #6 SplashApp::SplashApp at /usr/src/debug/plasma-workspace-5.10.5/ksplash/ksplashqml/splashapp.cpp:69

Comment 1 Mike FABIAN 2017-09-05 12:56:42 UTC
Created attachment 1322194 [details]
File: backtrace

Comment 2 Mike FABIAN 2017-09-05 12:56:44 UTC
Created attachment 1322195 [details]
File: cgroup

Comment 3 Mike FABIAN 2017-09-05 12:56:46 UTC
Created attachment 1322196 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2017-09-05 12:56:48 UTC
Created attachment 1322197 [details]
File: cpuinfo

Comment 5 Mike FABIAN 2017-09-05 12:56:50 UTC
Created attachment 1322198 [details]
File: dso_list

Comment 6 Mike FABIAN 2017-09-05 12:56:51 UTC
Created attachment 1322199 [details]
File: environ

Comment 7 Mike FABIAN 2017-09-05 12:56:53 UTC
Created attachment 1322200 [details]
File: limits

Comment 8 Mike FABIAN 2017-09-05 12:56:56 UTC
Created attachment 1322201 [details]
File: maps

Comment 9 Mike FABIAN 2017-09-05 12:56:57 UTC
Created attachment 1322202 [details]
File: open_fds

Comment 10 Mike FABIAN 2017-09-05 12:56:59 UTC
Created attachment 1322203 [details]
File: proc_pid_status

Comment 11 Mike FABIAN 2017-09-05 12:57:01 UTC
Created attachment 1322204 [details]
File: var_log_messages

Comment 12 Mike FABIAN 2017-09-05 12:57:02 UTC
Created attachment 1322205 [details]
File: exploitable

Comment 13 Fedora End Of Life 2018-05-03 07:59:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:24:17 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.